package token;

import java.util.function.Supplier;

import file.FilePosition;
import sexpression.SExpression;
import sexpression.Symbol;

public class Identifier extends Token {

    public Identifier(String text, FilePosition position) {
        super(text, position);
    }

    @Override
    public SExpression parseSExpression(Supplier<Token> getNextToken) {
        return new Symbol(getText());
    }

}
